std::_Node_handle_common< _Val, _NodeAlloc >(3cxx)

NAME
std::_Node_handle_common< _Val, _NodeAlloc > - Base class for node handle types of maps and sets.

SYNOPSIS

#include <set>

Inherited by std::_Node_handle< _Key, _Val, _Node_allocator >.

  Public Types

using allocator_type

  Public Member Functions

bool empty () const noexcept
allocator_type get_allocator () const noexcept
operator bool () const noexcept

Detailed Description

  template<typename _Val, typename _NodeAlloc>
class std::_Node_handle_common< _Val, _NodeAlloc >"Base class for node handle types of maps and sets.

Author

Generated automatically by Doxygen for libstdc++ from the source code.